

.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{
	text-align: center;
}

.woocommerce ul.products li.product .woocommerce-loop-category__title, .woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product h3, 
body.search-results article .elementor-post__title{
	font-family: var(--e-global-typography-primary-font-family);
	font-weight: var(--e-global-typography-primary-font-weight);
	color: var(--e-global-color-primary);
	font-size: 1.5rem;
}
@media (max-width: 767px){
	.woocommerce ul.products li.product .woocommerce-loop-category__title, .woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product h3, 
	body.search-results article .elementor-post__title{
		font-size: 1.25rem;
	}
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) ul.products li.product .price, .woocommerce {
	font-family: var(--e-global-typography-accent-font-family);
	font-weight: var(--e-global-typography-accent-font-weight);
	color: var(--e-global-color-secondary);
	font-size: 1rem;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price, .woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price{
    color: var(--e-global-color-secondary);
    font-weight: var(--e-global-typography-primary-font-weight);
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button{
	background-color: var(--e-global-color-secondary);
	font-family: var(--e-global-typography-accent-font-family), Sans-serif;
	font-weight: var(--e-global-typography-accent-font-weight);
	color: #FFFFFF;
	border-radius: 50px 50px 50px 50px;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button:hover{
	background-color: var(--e-global-color-9c895da);
	color: #FFFFFF;
}


.woocommerce table.shop_attributes th, .woocommerce table.shop_attributes td{
	vertical-align: middle;
	text-align: left;
	padding: 10px;
}
.woocommerce table.shop_attributes td p{
	padding: 0;
}

.woocommerce ul.products li.product .onsale, .woocommerce span.onsale,
.card.product.woocommerce-LoopProduct-link.woocommerce-loop-product__link span.onsale, 
.woocommerce span.onsale{
	position: absolute;
	background-color: transparent;
	width: 50%;
	top: 0px;
	left: 0px;
	margin: 0; 	padding: 0;
	border-radius: 0;
	line-height: normal;
}


ul.products.elementor-grid img.attachment-woocommerce_thumbnail {
  aspect-ratio: 1/1;
  object-fit: cover;
  object-position: center;
}
.elementor-products-grid ul.products.elementor-grid li.product{
	display: flex !important;
	flex-direction: column !important;
	justify-content: space-between !important;
}
.woocommerce ul.products li.product .button{
	font-size: 0.85rem;
}


body.search-results article .elementor-post__read-more-wrapper{
	text-align: center;
}

 .elementor-posts .elementor-post__card .elementor-post__read-more{
	text-transform: unset !important;
	background-color: var( --e-global-color-secondary );
	color: white;
	border-radius: 50px;
	padding: var(--toggle-icon-padding,12px 24px);
	
}

.single_variation_wrap{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: wrap;
    gap: 1.5em;
}




.product_cat-peintures .finitions figure img {
	aspect-ratio: 4/5;
	object-fit:cover;
	
}





.woocommerce nav.woocommerce-pagination ul{
	border-color: #9FACA9;
	border-radius: 50px;
}
.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span{
	color: var( --e-global-color-text );
	padding: 0.75em 1em;
	transition: background ease .2s;
}
.woocommerce nav.woocommerce-pagination ul li{
	border: none;
}

.woocommerce nav.woocommerce-pagination ul li:first-of-type{
	border-radius: 50px 0 0 50px;
	border-color: inherit;
}
.woocommerce nav.woocommerce-pagination ul li:last-of-type{
	border-radius: 0 50px 50px 0;
	border-color: inherit;
}

.woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current{
	background: #9FACA9;
	color: white;
	padding: 0.75em 1em;
	font-weight: var(--e-global-typography-accent-font-weight);
}


body.single-product footer[data-elementor-type="footer"] > div{
	margin-top: 0;
}